<ng-container *transloco="let t">
  <div
    class="edit-unapproved-organization-container"
    *ngrxLet="organization$; let organization">
    <h1 class="headline-container">{{t('organization_forms.edit_organization')}}</h1>
    <app-edit-organization-status-indicator
      [status]="organization?.account_state">
    </app-edit-organization-status-indicator>
    <app-edit-organization-overview
      [organization]="organization"
      [isNameDone]="isNameReady$|ngrxPush"
      [isDetailsDone]="isDetailsReady$|ngrxPush"
      [isContactDone]="isContactReady$|ngrxPush"
      (editOrganizationLogoClicked)="onOrganizationLogoEdit($event)"
      (editOrganizationNameClicked)="onOrganizationNameEdit($event)"
      (editOrganizationDetailsClicked)="onOrganizationDetailsEdit($event)"
      (editOrganizationContactDataClicked)="onOrganizationContactEdit($event)">
    </app-edit-organization-overview>
    <div class="button-container">
      <button
        mat-flat-button
        color="primary"
        class="round-button"
        [disabled]="!(isOrganizationReady$|ngrxPush)"
        (click)="onRequestApproval({ id: organization!.organization_id })">
        {{t('general_forms.send')}}
      </button>
    </div>
  </div>
</ng-container>
